function subtitlesToggle() {
    if ( subtitled === true ) {
        subtitled = false;
        $(".cc-line").addClass("hidden")
    } else {
        subtitled = true;
        $(".cc-line").removeClass("hidden")
    }
    subtitlesUpdate();
}
function subtitlesUpdate() {
    if ( subtitled === true ) {
        $('#player-controls-subtitles-off').show();
        $('#player-controls-subtitles-on').hide();
        $('.subtitles').addClass('hide');
    } else {
        $('#player-controls-subtitles-on').show();
        $('#player-controls-subtitles-off').hide();
        $('.subtitles').removeClass('hide');
    }
}

function forceSubtitlesUpdate() {
    if ( subtitled === true ) {
        $('#player-controls-subtitles-off').show();
        $('#player-controls-subtitles-on').hide();
        $('.subtitles').addClass('hide');
        $(".cc-line").removeClass("hidden")
    } else {
        $('#player-controls-subtitles-on').show();
        $('#player-controls-subtitles-off').hide();
        $('.subtitles').removeClass('hide');
        $(".cc-line").addClass("hidden")
    }
}

function sub3Kset( vID ) {
//    if ( $('#subtitles').length <= 0 && subtitled === true ) {
//        $('#video-wrapper-1').append(
//                '<div id="subtitles"></div>'
//            );
//    }
    $( 'body' ).addClass( 'lang-' + subtitlesLanguage );
    if ( subtitles[vID] !== undefined ) {
        sub3KupdateSubs( vID );
        zork('Adding subtitles!');
    }
}

function sub3KupdateSubs( vID ) {
    var mainVideo = $('#vpVideo-' + vID);
    mainVideo.on('timeupdate', function() {
        if ( subtitled === true ) {
            $('.subtitles').removeClass('hide');
            if ( $('#subtitles-' + vID).length > 0 ) {

                var cTime = parseInt( mainVideo[0].currentTime );
                sub3Kcheck( vID, cTime );
            } else {
                zork('Adding subtitle bar!');
                $('#vpControls-'+vID).after(
                    '<div id="subtitles-' + vID + '" class="subtitles"></div>'
                );
                $('#subtitles-'+vID).show();
            }
        } else {
            $('.subtitles').addClass('hide');
        }
    });
}

function sub3Kcheck( vID, cTime ) {
    var message = '';
    for ( i = 0; i < subtitles[vID].length; i++ ) {
        var minTime = sub3KparseTimeS(subtitles[vID][i][0]);
        var maxTime = sub3KparseTimeS(subtitles[vID][i][1]);
        if ( cTime >= minTime && cTime < maxTime ) {
            var lang = subtitlesLanguage + 2;
            message = subtitles[vID][i][lang];
        } 
    }
    if ( message.length <= 0 ) {
        $('#subtitles-'+vID).addClass('hide');
    } else {
        $('#subtitles-'+vID).removeClass('hide');
    }
    $('#subtitles-'+vID).html( message );
}

function sub3KparseTimeS( time ) {
    // var time = '01:04:55,324'; EXAMPLE
    time = time.split(':');

    var h = parseInt(time[0]);
    var m = parseInt(time[1]);
    var s = parseInt(time[2]);
//    var ms = parseInt(time[2].split(',')[1]);
//    var allMs = ((h*60*60)+(m*60)+s)*1000 + ms;
    var allMs = ((h*60*60)+(m*60)+s);
    return allMs;
}


